Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-account-id
string<uuid>
required
x-workspace-id
string<uuid>
required

Path Parameters

task_id
string
required

Response

200 - application/json

Task retrieved successfully

id
string

Unique identifier for the task.

creator_id
string

Unique identifier for the creator of the task.

title
string

Title of the task.

assignee_id
string

Unique identifier for the assignee of the task.

description
string | null

Description of the task.

priority
enum<string>

Priority level of the task.

Available options:
Low,
Medium,
High
status
enum<string>

Current status of the task.

Available options:
Pending,
InProgress,
Completed
account_id
string

Unique identifier for the account associated with the task.

workspace_id
string

Unique identifier for the workspace associated with the task.

asset_id
string

Unique identifier for the asset associated with the task.

asset
object | null

Asset associated with the task.

assignee
object | null

User assigned to the task.

creator
object | null

User who created the task.